Remove node flags override
DELETE
/api/v1/nodes/{env}/node/{uuid}/flags
const url = 'https://example.com/api/v1/nodes/example/node/example/flags';const options = {method: 'DELETE', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example.com/api/v1/nodes/example/node/example/flags \ --header 'Authorization: <Authorization>'Removes the node’s osquery flags override so its osctrld is served the environment flags. The osctrld apply_result, apply_error, apply_at, osquery_running, down_since, flags_stage and extensions_stage fields are reported by the host and are untrusted; reported_at is the server’s receive time and report_stale is set when it is older than 15 minutes.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”env
required
string
Environment name or UUID
uuid
required
string
Node UUID
Responses
Section titled “Responses”OK
Media typeapplication/json
object
applied
string
conflicts
Array<string>
environment
string
expired
boolean
expires_at
string
osctrld
object
apply_at
string
apply_error
string
apply_result
string
down_since
string
extensions_stage
string
flags_stage
string
last_fetched_at
string
osquery_running
Health report: osquery_running, down_since and the stages come from the host; reported_at is the server’s receive time.
boolean
rejected_current
boolean
report_stale
boolean
reported_at
string
override
string
updated_at
string
updated_by
string
Examplegenerated
{ "applied": "example", "conflicts": [ "example" ], "environment": "example", "expired": true, "expires_at": "example", "osctrld": { "apply_at": "example", "apply_error": "example", "apply_result": "example", "down_since": "example", "extensions_stage": "example", "flags_stage": "example", "last_fetched_at": "example", "osquery_running": true, "rejected_current": true, "report_stale": true, "reported_at": "example" }, "override": "example", "updated_at": "example", "updated_by": "example"}Bad request
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Unauthorized
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Forbidden
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Not found
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Conflict
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Too many requests
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Internal server error
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Service unavailable
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}